org.apache.juli

## Class OneLineFormatter

- java.lang.Object
- - java.util.logging.Formatter
  - - org.apache.juli.OneLineFormatter

    public class OneLineFormatter
    extends Formatter

Provides same information as default log format but on a single line to make it easier to grep the logs. The only exception is stacktraces which are always preceded by whitespace to make it simple to skip them.

### Constructor Summary

Constructors
Constructor and Description
`OneLineFormatter()`

### Method Summary

Methods
`protected void` `addTimestamp(StringBuilder buf, long timestamp)`
`String` `format(LogRecord record)`

### Methods inherited from class java.util.logging.Formatter

`formatMessage, getHead, getTail`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OneLineFormatter

    public OneLineFormatter()

### Method Detail

#### format

    public String format(LogRecord record)

Specified by:
  `format` in class `Formatter`

#### addTimestamp

    protected void addTimestamp(StringBuilder buf,
                    long timestamp)